gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Gtk::Notebook_Helpers::TabElem Struct Reference
Inheritance diagram for Gtk::Notebook_Helpers::TabElem:
[legend]
Collaboration diagram for Gtk::Notebook_Helpers::TabElem:
[legend]

## Public Member Functions
| TabElem (Widget& child, Widget& tab)
| TabElem (Widget& child, const Glib::ustring& label, bool mnemonic=false)
Public Member Functions inherited from Gtk::Notebook_Helpers::Element
| Element (Widget* child, Widget* tab, Widget* menu)
| Element (Widget& child, Widget& tab, Widget& menu)
| Element (Widget& child)

## Additional Inherited Members
Protected Attributes inherited from Gtk::Notebook_Helpers::Element
Widget* | child_
Widget* | tab_
Widget* | menu_

## Detailed Description

Deprecated:
  Use Notebook::get_current_page(), Notebook::get_nth_page(), etc.

instead.

## Constructor & Destructor Documentation

Gtk::Notebook_Helpers::TabElem::TabElem | ( | Widget& | child,
|  | Widget& | tab
| ) |  |

Gtk::Notebook_Helpers::TabElem::TabElem | ( | Widget& | child,
|  | const Glib::ustring & | label,
|  | bool | mnemonic = `false`
| ) |  |

The documentation for this struct was generated from the following file:

- gtkmm/notebook.h